var gulp     	 = require('gulp'),
	gutil        = require('gulp-util'),
	watch        = require('gulp-watch'),
	concatCss    = require('gulp-concat-css'),
	concat       = require('gulp-concat'),
	uglifycss    = require('gulp-uglifycss'),
	autoprefixer = require('gulp-autoprefixer'),
	plumber 	 = require('gulp-plumber'),
	livereload 	 = require('gulp-livereload'),
	combineMq = require('gulp-combine-mq'),
	sass         = require('gulp-sass');


gulp.task('default', function(){
	return gutil.log('Gulp is running');
});

gulp.task('sass', function(){
	var sassFn = function(){
		gulp.src('./src/sass/main.scss')
		.pipe(plumber())
		.pipe(sass().on('error', sass.logError))
		.pipe(gulp.dest('./build/css'));

	}
	sassFn();
	watch('./src/sass/**/*.scss', sassFn);
});

gulp.task('css', function(){
	var cssFn = function(){
	 	gulp.src(['./build/css/**/*.css'] )
	 	.pipe(plumber())
	 	.pipe(autoprefixer({ browsers: ['>1%'] }))
		.pipe(combineMq({ beautify: false}))
	 	.pipe(concatCss('style.css'))
	 	.pipe(gulp.dest('./build'));
	}

	cssFn();
	
	watch('./build/css/**/*.css', cssFn);
	livereload.listen();
	watch('./build/*.css', function(){
		gulp.src('./build/*.css')
		 	.pipe(uglifycss({
			      "maxLineLen": 80,
			      "uglyComments": true
			    }))
		 	.pipe(gulp.dest('./'))
	 		.pipe(livereload());
	});
});

gulp.task('lib', function(){
	return gulp.src([ 'bower_components/jquery/dist/jquery.min.js',
		'bower_components/jquery-migrate/jquery-migrate.min.js'])
		.pipe(concat('lib.js'))
		.pipe(gulp.dest('./js'));
	
});

